﻿$code_get = { [System.IO.Path]::GetFileNameWithoutExtension($this.Name) }
$code_set = {
    try {
        $extension = $this.Extension
        $newname = $args[0] + $extension
        Write-Host ("Benenne '{0}' um in '{1}'." -f $this.FullName, $newname)
        Rename-Item -Path $this.FullName -NewName $newname -ErrorAction Stop
    }
    catch
    {
        Throw "Unable to change base name: $_"
    }
}

# testdatei anlegen und neue Eigenschaft hinzufügen:
$file = New-Item -Path $home\Desktop\eine_testdatei.txt -ItemType File | 
  Add-Member -MemberType ScriptProperty -Name BaseNameNeu -Value $code_get -SecondValue $code_set -PassThru


################################################################
#
# VERWENDUNG DIESES SKRIPTS AUF EIGENE GEFAHR / OHNE ZUSICHERUNG
#
# Wichtiger Hinweis:
#
# Dieses PowerShell-Skript stammt aus den Begleitmedien des Buches
# "Scripting mit Windows PowerShell 3.0 - Der Workshop" von 
# Dr. Tobias Weltner, erschienen 2013 beim Verlag Microsoft Press
# (ISBN-13: 978-3-86645-687-7).
#
# Das Skript und seine Funktion werden im Buch erläutert und liegen
# in dieser Datei vor, um die Eingabe des Codes zu erleichtern.
#
# Bitte vergewissern Sie sich im Kontext des Buches und des jeweiligen
# Kapitels, was die Aufgabe und Funktionsweise dieses Skripts ist, 
# und dass das Skript vollständig dem abgedruckten Code im Buch entspricht. 
#
# Weder Autor noch Verlag übernehmen eine Haftung für Folgen, die durch die Ausführung
# dieses Skripts entstehen.
#
################################################################
