﻿# Anmeldeinformationen festlegen:
$WMIOptionen = New-Object System.Management.ConnectionOptions
$anmeldung = Get-Credential
$WMIOptionen.SecurePassword = $anmeldung.Password
$WMIOptionen.UserName = $anmeldung.UserName

$path = '\\storage1\root\cimv2:Win32_Share'
$scope = New-Object System.Management.ManagementScope($path, $WMIOptions)
$scope.Connect()

$optionen = New-Object System.Management.ObjectGetOptions

# Freigabe einrichten:
$shareklasse = New-Object System.Management.ManagementClass($scope, $path, $optionen)
$pfad = 'C:\'
$name = 'serviceshare_neu'
$type = 0
$maximumallowed = 5
$description = 'Interner Share für Wartungsaufgaben'
$shareklasse.Create($pfad, $Name, $Type, $MaximumAllowed, $Description).ReturnValue


################################################################
#
# VERWENDUNG DIESES SKRIPTS AUF EIGENE GEFAHR / OHNE ZUSICHERUNG
#
# Wichtiger Hinweis:
#
# Dieses PowerShell-Skript stammt aus den Begleitmedien des Buches
# "Scripting mit Windows PowerShell 3.0 - Der Workshop" von 
# Dr. Tobias Weltner, erschienen 2013 beim Verlag Microsoft Press
# (ISBN-13: 978-3-86645-687-7).
#
# Das Skript und seine Funktion werden im Buch erläutert und liegen
# in dieser Datei vor, um die Eingabe des Codes zu erleichtern.
#
# Bitte vergewissern Sie sich im Kontext des Buches und des jeweiligen
# Kapitels, was die Aufgabe und Funktionsweise dieses Skripts ist, 
# und dass das Skript vollständig dem abgedruckten Code im Buch entspricht. 
#
# Weder Autor noch Verlag übernehmen eine Haftung für Folgen, die durch die Ausführung
# dieses Skripts entstehen.
#
################################################################
