﻿

# Datum liegt in einer französischen Schreibweise vor:
$datumFranzoesisch = 'vendredi 23 novembre 2012 11:19:13'

# für die Umwandlungen die Quell- und Zielkultur besorgen:
[System.Globalization.CultureInfo]$Frankreich = 'fr-FR'
[System.Globalization.CultureInfo]$Taiwan = 'zh-TW'

# Datumstext unter Angabe seiner Kultur in einen DateTime-Typ verwandeln
# dieser ist sprachunabhängig:
$DateTime = [DateTime]::Parse($datumFranzoesisch, $Frankreich)

# von hier aus in Zielkultur umwandeln
# das Ergebnis ist jetzt wieder Text (String):
$datumTaiwan = $DateTime.ToString($Taiwan)
""
"$datumFranzoesisch -> $datumTaiwan"




################################################################
#
# VERWENDUNG DIESES SKRIPTS AUF EIGENE GEFAHR / OHNE ZUSICHERUNG
#
# Wichtiger Hinweis:
#
# Dieses PowerShell-Skript stammt aus den Begleitmedien des Buches
# "Scripting mit Windows PowerShell 3.0 - Der Workshop" von 
# Dr. Tobias Weltner, erschienen 2013 beim Verlag Microsoft Press
# (ISBN-13: 978-3-86645-687-7).
#
# Das Skript und seine Funktion werden im Buch erläutert und liegen
# in dieser Datei vor, um die Eingabe des Codes zu erleichtern.
#
# Bitte vergewissern Sie sich im Kontext des Buches und des jeweiligen
# Kapitels, was die Aufgabe und Funktionsweise dieses Skripts ist, 
# und dass das Skript vollständig dem abgedruckten Code im Buch entspricht. 
#
# Weder Autor noch Verlag übernehmen eine Haftung für Folgen, die durch die Ausführung
# dieses Skripts entstehen.
#
################################################################
