﻿& {
'<HTML><HEAD><TITLE>Inventarisierungsbericht</TITLE>'
"<BODY><h2>Report für '$env:computername'</h2><h3>Diensteübersicht</h3>"
Get-Service | ConvertTo-Html DisplayName, ServiceName, Status -Fragment 
'<h3>Betriebssystem-Details</h3>'
Get-WMIObject Win32_OperatingSystem | Select-Object * -Exclude __* | ConvertTo-Html -As List -Fragment 
'<h3>Installierte Software</h3>'
Get-ItemProperty Registry::HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\* | Select-Object DisplayName, InstallDate, DisplayVersion, Language | ConvertTo-Html -Fragment
'</BODY></HTML>' 
} | Out-File $HOME\report.hta 

Invoke-Item -Path $HOME\report.hta


################################################################
#
# VERWENDUNG DIESES SKRIPTS AUF EIGENE GEFAHR / OHNE ZUSICHERUNG
#
# Wichtiger Hinweis:
#
# Dieses PowerShell-Skript stammt aus den Begleitmedien des Buches
# "Scripting mit Windows PowerShell 3.0 - Der Workshop" von 
# Dr. Tobias Weltner, erschienen 2013 beim Verlag Microsoft Press
# (ISBN-13: 978-3-86645-687-7).
#
# Das Skript und seine Funktion werden im Buch erläutert und liegen
# in dieser Datei vor, um die Eingabe des Codes zu erleichtern.
#
# Bitte vergewissern Sie sich im Kontext des Buches und des jeweiligen
# Kapitels, was die Aufgabe und Funktionsweise dieses Skripts ist, 
# und dass das Skript vollständig dem abgedruckten Code im Buch entspricht. 
#
# Weder Autor noch Verlag übernehmen eine Haftung für Folgen, die durch die Ausführung
# dieses Skripts entstehen.
#
################################################################
