﻿$Path = "$env:temp\erweiterung.ps1xml"
$erweiterung = @'
<Types>
    <Type>
      <Name>System.IO.FileInfo</Name>
        <Members>
          <ScriptProperty>
            <Name>LengthKB</Name>
            <GetScriptBlock>
              $this.Length | Add-Member -MemberType ScriptMethod -Name toString -Value { '{0:n2} KB' -f ($this/1KB) } -Force -PassThru
            </GetScriptBlock>
          </ScriptProperty>
        </Members>
    </Type>
</Types>
'@

Set-Content -Value $erweiterung -Path $Path
Update-TypeData -PrependPath $Path


################################################################
#
# VERWENDUNG DIESES SKRIPTS AUF EIGENE GEFAHR / OHNE ZUSICHERUNG
#
# Wichtiger Hinweis:
#
# Dieses PowerShell-Skript stammt aus den Begleitmedien des Buches
# "Scripting mit Windows PowerShell 3.0 - Der Workshop" von 
# Dr. Tobias Weltner, erschienen 2013 beim Verlag Microsoft Press
# (ISBN-13: 978-3-86645-687-7).
#
# Das Skript und seine Funktion werden im Buch erläutert und liegen
# in dieser Datei vor, um die Eingabe des Codes zu erleichtern.
#
# Bitte vergewissern Sie sich im Kontext des Buches und des jeweiligen
# Kapitels, was die Aufgabe und Funktionsweise dieses Skripts ist, 
# und dass das Skript vollständig dem abgedruckten Code im Buch entspricht. 
#
# Weder Autor noch Verlag übernehmen eine Haftung für Folgen, die durch die Ausführung
# dieses Skripts entstehen.
#
################################################################
