﻿function Export-Credential($cred, $file) {
  $ergebnis = 1 | Select-Object Username, Password
  $ergebnis.Username = $cred.UserName
  $ergebnis.Password = $cred.Password | ConvertFrom-SecureString
  $ergebnis | Export-Clixml $file
}

function Import-Credential($file) {
  $ergebnis = Import-Clixml $file
  $user = $ergebnis.username
  $password = $ergebnis.password | ConvertTo-SecureString 
  New-Object system.Management.Automation.PSCredential($user, $password)
}


################################################################
#
# VERWENDUNG DIESES SKRIPTS AUF EIGENE GEFAHR / OHNE ZUSICHERUNG
#
# Wichtiger Hinweis:
#
# Dieses PowerShell-Skript stammt aus den Begleitmedien des Buches
# "Scripting mit Windows PowerShell 3.0 - Der Workshop" von 
# Dr. Tobias Weltner, erschienen 2013 beim Verlag Microsoft Press
# (ISBN-13: 978-3-86645-687-7).
#
# Das Skript und seine Funktion werden im Buch erläutert und liegen
# in dieser Datei vor, um die Eingabe des Codes zu erleichtern.
#
# Bitte vergewissern Sie sich im Kontext des Buches und des jeweiligen
# Kapitels, was die Aufgabe und Funktionsweise dieses Skripts ist, 
# und dass das Skript vollständig dem abgedruckten Code im Buch entspricht. 
#
# Weder Autor noch Verlag übernehmen eine Haftung für Folgen, die durch die Ausführung
# dieses Skripts entstehen.
#
################################################################
