﻿# persönliches Zertifikat auswählen:
$name = 'Test1'
$zertifikat = Get-ChildItem -Path cert:\CurrentUser\My | Where-Object { $_.Subject -eq "CN=$name" }

# Zertifikatherausgeber für grundsätzlich vertrauensvoll erklären
$Store = New-Object system.security.cryptography.X509Certificates.x509Store("root", "CurrentUser")
$Store.Open("ReadWrite")
$Store.Add($zertifikat)
$Store.Close()

# Zertifikate dieses Herausgebers aktivieren:
$Store = New-Object system.security.cryptography.X509Certificates.x509Store("TrustedPublisher", "CurrentUser")
$Store.Open("ReadWrite")
$Store.Add($zertifikat)
$Store.Close()


################################################################
#
# VERWENDUNG DIESES SKRIPTS AUF EIGENE GEFAHR / OHNE ZUSICHERUNG
#
# Wichtiger Hinweis:
#
# Dieses PowerShell-Skript stammt aus den Begleitmedien des Buches
# "Scripting mit Windows PowerShell 3.0 - Der Workshop" von 
# Dr. Tobias Weltner, erschienen 2013 beim Verlag Microsoft Press
# (ISBN-13: 978-3-86645-687-7).
#
# Das Skript und seine Funktion werden im Buch erläutert und liegen
# in dieser Datei vor, um die Eingabe des Codes zu erleichtern.
#
# Bitte vergewissern Sie sich im Kontext des Buches und des jeweiligen
# Kapitels, was die Aufgabe und Funktionsweise dieses Skripts ist, 
# und dass das Skript vollständig dem abgedruckten Code im Buch entspricht. 
#
# Weder Autor noch Verlag übernehmen eine Haftung für Folgen, die durch die Ausführung
# dieses Skripts entstehen.
#
################################################################
