﻿$name = 'PSTestzertifikat'
$path = "$env:ProgramFiles\Microsoft Visual Studio 8\SDK\v2.0\Bin\makecert.exe"

if (Test-Path -Path $Path)
{
    $argumente = ('-pe -r -n "CN={0}" -eku 1.3.6.1.5.5.7.3.3 -ss "my"' -f $name)
    Start-Process -FilePath $Path -ArgumentList $argumente
}
else
{
    Write-Warning "
    makecert.exe unter folgendem Pfad nicht gefunden:
    '$Path'. 
    Bitte überprüfen Sie den Pfad und passen Sie ihn gegebenenfalls an."
}


################################################################
#
# VERWENDUNG DIESES SKRIPTS AUF EIGENE GEFAHR / OHNE ZUSICHERUNG
#
# Wichtiger Hinweis:
#
# Dieses PowerShell-Skript stammt aus den Begleitmedien des Buches
# "Scripting mit Windows PowerShell 3.0 - Der Workshop" von 
# Dr. Tobias Weltner, erschienen 2013 beim Verlag Microsoft Press
# (ISBN-13: 978-3-86645-687-7).
#
# Das Skript und seine Funktion werden im Buch erläutert und liegen
# in dieser Datei vor, um die Eingabe des Codes zu erleichtern.
#
# Bitte vergewissern Sie sich im Kontext des Buches und des jeweiligen
# Kapitels, was die Aufgabe und Funktionsweise dieses Skripts ist, 
# und dass das Skript vollständig dem abgedruckten Code im Buch entspricht. 
#
# Weder Autor noch Verlag übernehmen eine Haftung für Folgen, die durch die Ausführung
# dieses Skripts entstehen.
#
################################################################
