﻿trap {
  $zeile = $_.InvocationInfo.Line
  $scriptname = $_.InvocationInfo.ScriptName
  $zeilennummer = $_.InvocationInfo.ScriptLineNumber
  $zeilenoffset = $_.InvocationInfo.OffsetInLine
  $meldung = $_.Exception.Message
  $zeit = Get-Date
  $user = $env:username

  $vorlage = @'
  #####################################################################
  Skriptfehler in "{0}"
  am {1} in Zeile {2} Spalte {3}:

  Ursache:
    "{4}"

  Befehlszeile:
    {5}
  Ausgeführt von {6}
  #####################################################################
  
'@ 

  $meldung = $vorlage -f $scriptname, $zeit, $zeilennummer, $zeilenoffset, $meldung, $zeile, $user  
  $meldung
  continue
}


# hier folgt der individuelle Code des Skripts:
dir zumsel: -ErrorAction Stop
1/$null
Get-Process -id 99999 -ErrorAction Stop


################################################################
#
# VERWENDUNG DIESES SKRIPTS AUF EIGENE GEFAHR / OHNE ZUSICHERUNG
#
# Wichtiger Hinweis:
#
# Dieses PowerShell-Skript stammt aus den Begleitmedien des Buches
# "Scripting mit Windows PowerShell 3.0 - Der Workshop" von 
# Dr. Tobias Weltner, erschienen 2013 beim Verlag Microsoft Press
# (ISBN-13: 978-3-86645-687-7).
#
# Das Skript und seine Funktion werden im Buch erläutert und liegen
# in dieser Datei vor, um die Eingabe des Codes zu erleichtern.
#
# Bitte vergewissern Sie sich im Kontext des Buches und des jeweiligen
# Kapitels, was die Aufgabe und Funktionsweise dieses Skripts ist, 
# und dass das Skript vollständig dem abgedruckten Code im Buch entspricht. 
#
# Weder Autor noch Verlag übernehmen eine Haftung für Folgen, die durch die Ausführung
# dieses Skripts entstehen.
#
################################################################
